# connection_base.cxx File Reference

`#include "pqxx/compiler-internal.hxx"`
`#include <algorithm>`
`#include <cassert>`
`#include <cerrno>`
`#include <cstdio>`
`#include <ctime>`
`#include <stdexcept>`
`#include <sys/types.h>`
`#include "libpq-fe.h"`
`#include "pqxx/binarystring"`
`#include "pqxx/connection"`
`#include "pqxx/connection_base"`
`#include "pqxx/nontransaction"`
`#include "pqxx/pipeline"`
`#include "pqxx/result"`
`#include "pqxx/transaction"`
`#include "pqxx/trigger"`

Include dependency graph for connection_base.cxx:

## Functions

void | pqxx::internal::wait_read (const pq::PGconn *c)
void | pqxx::internal::wait_read (const pq::PGconn *c, long seconds, long microseconds)
void | pqxx::internal::wait_write (const pq::PGconn *c)